Package Details: brother-hl3040cn 1.1.2-4

Git Clone URL: https://aur.archlinux.org/brother-hl3040cn.git (read-only, click to copy)
Package Base: brother-hl3040cn
Description: LPR and CUPS driver for the Brother HL3040cn
Upstream URL: http://solutions.brother.com/linux/en_us/
Licenses: custom:brother commercial license
Submitter: None
Maintainer: nullptr_t
Last Packager: nullptr_t
Votes: 5
Popularity: 0.000001
First Submitted: 2014-03-09 19:25
Last Updated: 2017-05-20 12:59

Latest Comments

« First ‹ Previous 1 2

imbaer commented on 2014-03-08 10:55

I can confirm that you need to run cupswrapperhl3040cn -i as root, however the location has changed since greg77's comment. The script is now located at: /opt/brother/Printers/hl3040cn/cupswrapper.

Happy printing!

greg77 commented on 2012-11-30 13:22

There is a dependency missing : psutils.
With the command of my previous comment it works pretty well....

maddogie commented on 2012-02-18 18:58

I'll try to fix and update this package. This might take some time so please be patient.

greg77 commented on 2011-09-17 12:11

Cups complain about a filter missing, in fact you just need to execute (as root)
/usr/share/brother/Printer/hl3040cn/cupswrapper/cupswrapperhl3040cn -i

It creates the filter needed and configures cups, maybe you have to midify the printer in cups.

Anonymous comment on 2011-08-03 10:20

Hey guys, cheers for the out of date flag. I no longer use this printer as my primary so I hadn't noticed, when I get spare time I will have a look. If you already have a working PKGBUILD it would help a lot.

ATM this isn't a priority for me, as it isn't my primary printer. If someone would like to take over, I have no issue with handing it off.

Anonymous comment on 2011-08-03 09:23

Yep, needed some manual steps to make it working. Additionally, if you are on 64bit, you need 32bit glibc package as the binaries from brother are 32bit only. Took 2 hours yesterday to find this out :-)

If i find the time I'll try to update the PKGBUILD, but don't take this as a promise :-/

Anonymous comment on 2011-07-17 18:08

Fyi, this package is broken, and has been for months.